UNGET(1)

NAME
unget - undo a previous get of an SCCS file

SYNOPSIS
unget [-rsid] [-n] [-s] s.filename...

DESCRIPTION
The unget utility undoes the effect of a get -e command executed before the creation of the pending delta.

If a directory name is used in place of the s.filename argument, the unget command applies to all s.files in that directory. Unreadable s.files produce an error; processing continues with the next file (if any). The use of `-' as the s.filename argument indicates that the names of files are to be read from the standard input, one s.file per line.

    -rsid
        When multiple versions are checked out, this option specifies which pending delta to abort. A diagnostic results if the specified SID is ambiguous, or if it is necessary but omitted from the command line.

    -s  Suppress display of the SCCS delta ID (SID).

    -n  Retains the retrieved version, which is otherwise removed.

SEE ALSO

delta(1), get(1), help(1), sact(1),

DIAGNOSTICS
Use the SCCS help command for explanations (see help(1)).